<?php
/**
 * Phases markup
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Blocks\Modules
 *
 * @var array    $attributes Block attributes.
 * @var string   $content    Block content.
 * @var WP_Block $block      Block instance.
 * @var array    $context    BLock context.
 */

$align = isset( $attributes['align'] ) ? $attributes['align'] : 'center';
$title = isset( $attributes['title'] ) ? $attributes['title'] : '';
$phase = isset( $attributes['phase'] ) ? $attributes['phase'] : '';

?>

<div <?php echo wp_kses_data( get_block_wrapper_attributes(
	array(
		'class' => 'has-text-align-' . $align,
	)
) ); ?>>
	<span class="leco-cp-phase-text"><?php echo wp_kses_post( $phase ); ?></span>
	<h2 class="phase-title"><?php echo wp_kses_post( $title ); ?></h2>
    <?php echo $content; ?>	
</div>