<?php
/**
 * Project Status markup
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Blocks\Project_Status
 *
 * @var array    $attributes Block attributes.
 * @var string   $content    Block content.
 * @var WP_Block $block      Block instance.
 * @var array    $context    BLock context.
 */

$value    = isset( $attributes['value'] ) ? $attributes['value'] : '';
$label    = isset( $attributes['label'] ) ? $attributes['label'] : '';
$date     = isset( $attributes['date'] ) ? $attributes['date'] : false;
$showDate = isset( $attributes['showDate'] ) ? $attributes['showDate'] : false;

?>

<div <?php echo wp_kses_data( get_block_wrapper_attributes() ); ?> >
	<?php
		if ( $showDate && $date ) {
			printf( '<span class="value">%s</span>', date( "F j, Y", strtotime( $date ) ) );
		} else {
			printf( '<span class="value">%s</span>', wp_kses_post( $value ) );
		}
		printf( '<span class="label">%s</span>', wp_kses_post( $label ) );
	?>
</div>
