const cssnanoConfig = {
	preset: [ 'default', { discardComments: { removeAll: true } } ],
};

module.exports = ( { env } ) => ( {
	plugins: {
		'postcss-nested': {},
		'postcss-import': {},
		'tailwindcss/nesting': {},
		tailwindcss: {},
		autoprefixer: { grid: true },
		cssnano: env === 'production' ? cssnanoConfig : false,
	},
} );
