<?php
/**
 * Modules markup
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Blocks\Modules
 *
 * @var array    $attributes Block attributes.
 * @var string   $content    Block content.
 * @var WP_Block $block      Block instance.
 * @var array    $context    BLock context.
 */

if ( ! is_user_logged_in() ) {
	return;
}

$text = $attributes['linkText'] ?? __( 'Log Out', 'leco-cp' );

?>

<li class="leco-cp-logout wp-block-navigation-item">
	<a
		href="<?php echo esc_url( wp_logout_url( apply_filters( 'leco_cp_logout_url', leco_cp_login_url() ) ) ); ?>"
		class="leco-cp-logout-link"
	>
		<?php echo wp_kses_post( $text ); ?>
	</a>
</li>
