<?php
/**
 * Footer Block Pattern.
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Templates\Five
 */

$options = get_option( 'leco_cp_options' );
$phone   = isset( $options['phone'] ) && ! empty( $options['phone'] ) ? $options['phone'] : '';
$email   = isset( $options['email'] ) && ! empty( $options['email'] ) ? $options['email'] : '';
?>
<!-- wp:group {"align":"full","backgroundColor":"leco-cp-tertiary","className":"contacts","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignfull contacts has-leco-cp-tertiary-background-color has-background"><!-- wp:list {"fontSize":"small"} -->
<ul class="has-small-font-size">

<!-- wp:list-item { "placeholder":"<?php esc_html_e( 'Phone Number', 'leco-cp' ); ?>" } -->
<li><?php echo esc_html( $phone ); ?></li>
<!-- /wp:list-item -->

<!-- wp:list-item { "placeholder":"<?php esc_html_e( 'Email Address', 'leco-cp' ); ?>" } -->
<li><?php echo esc_html( $email ); ?></li>
<!-- /wp:list-item -->

<!-- wp:list-item -->
<li>
<?php printf( esc_html__( 'Powered by %s', 'leco-cp' ), ' <a href="http://www.client-portal.io/">Client Portal</a>' ); ?>
</li>
<!-- /wp:list-item --></ul>
<!-- /wp:list --></div>
<!-- /wp:group -->
