<?php
/**
 * Project Status Pattern
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Templates\Five
 */

$phase_text = leco_cp_get_option( 'phase_x_text', __( 'Phase', 'leco-cp' ) );
?>

<!-- wp:leco-cp/project-status -->
<div class="wp-block-leco-cp-project-status alignwide leco-cp-cols-3 leco-cp-container">

<!-- wp:leco-cp/project-status-block {"label":"Current <?php echo esc_html( $phase_text ); ?>","backgroundColor":"leco-cp-secondary"} /-->

<!-- wp:leco-cp/project-status-block {"label":"Next <?php echo esc_html( $phase_text ); ?>"} /-->

<!-- wp:leco-cp/project-status-block {"label":"Estimated Completion Date","backgroundColor":"leco-cp-tertiary"} /-->
</div>
<!-- /wp:leco-cp/project-status -->
