<?php
/**
 * Modules markup
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Blocks\Modules
 *
 * @var array    $attributes Block attributes.
 * @var string   $content    Block content.
 * @var WP_Block $block      Block instance.
 * @var array    $context    BLock context.
 */

$image_id   = isset( $attributes['logo'] ) ? $attributes['logo']['id'] : false;
$fixedWidth = isset( $attributes['fixedWidth'] ) ? $attributes['fixedWidth'] : false;
$width      = isset( $attributes['width'] ) ? intval( $attributes['width'] ) : 270;

$style = $fixedWidth ? 'width: ' . $width . 'px' : 'width: auto';

if ( ! $image_id ) {
	return;
}

echo wp_get_attachment_image( $image_id, 'full', false, array( 'class' => 'project-logo', 'style' => $style ) );