import { __ } from '@wordpress/i18n';

const MarkedCompleted = ( props ) => {
	const { admin } = props;
	const { assetsUrl } = lecoCpModules;
	return (
		<span
			className="action checkmark"
			style={ { backgroundImage: `url( ${ assetsUrl }checkmark.svg )` } }
		>
			{ ! admin && (
				<span className="tooltip">
					{ __( 'Completed', 'leco-cp' ) }
					<span className="arrow"></span>
				</span>
			) }
		</span>
	);
};

export default MarkedCompleted;
