import { useBlockProps, InnerBlocks } from '@wordpress/block-editor';

export default function Save( { attributes } ) {
	const { columns } = attributes;
	const blockProps = useBlockProps.save( {
		className: 'leco-cp-cols-' + columns + ' leco-cp-container',
	} );
	return (
		<div { ...blockProps }>
			<InnerBlocks.Content />
		</div>
	);
}
