import { useBlockProps } from '@wordpress/block-editor';
import { Disabled } from '@wordpress/components';
import { __ } from '@wordpress/i18n';

export default function Edit() {
	const blockProps = useBlockProps();
	return (
		<div { ...blockProps }>
			<Disabled>
				<div className="leco-cp-container">
					<div className="docsearch-wrapper">
						<div className="docsearch-container">
							<input
								id="docsearch" type="text"
								placeholder={ __( 'Search the portal', 'leco-cp' ) }
								autoComplete="off"
								spellCheck="false"
								role="combobox"
								aria-expanded="false"
								aria-label="search input"
							/>
							<div className="search-icon">
								<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
									<path d="M12.9 14.32a8 8 0 1 1 1.41-1.41l5.35 5.33-1.42 1.42-5.33-5.34zM8 14A6 6 0 1 0 8 2a6 6 0 0 0 0 12z"></path>
								</svg>
							</div>
						</div>
					</div>
				</div>
			</Disabled>
		</div>
	);
}
