import { PanelRow } from '@wordpress/components';

const CPSettings = ( props ) => {
	const { title, description, children } = props;
	return (
		<>
			{
				title && (
					<h2 className="leco-cp-panel-header">
						{ title }
					</h2>
				)
			}
			<PanelRow>
				{ children }
			</PanelRow>
			{
				description && (
					<div className="leco-cp-panel-description">
						{ description }
					</div>
				)
			}
		</>
	);
};

export default CPSettings;
