<?php
/**
 * Header Markup
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Templates\Five
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta http-equiv="x-ua-compatible" content="ie=edge">
	<title><?php echo esc_html( get_the_title() ); ?></title>
	<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700,800' rel='stylesheet' type='text/css'>

	<?php do_action( 'leco_cp_template_inline_styles' ); ?>

	<style>
		html {
			font-size: 16px;
		}
		<?php echo leco_cp_get_option( 'css_five' ); ?>
	</style>
