<?php
/**
 * Call To Action Block Pattern.
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Templates\Five
 */

?>
<!-- wp:group {"align":"full","backgroundColor":"leco-cp-primary","className":"cta-section","layout":{"type":"flex","orientation":"vertical","justifyContent":"center"}} -->
<div class="wp-block-group alignfull cta-section has-leco-cp-primary-background-color has-background">
<!-- wp:paragraph {"align":"center","style":{"spacing":{"margin":{"bottom":"2rem"}}},"className":"has-large-font-size","fontSize":"x-large"} -->
<p class="has-text-align-center has-large-font-size has-x-large-font-size" style="margin-bottom:2rem">
<?php esc_html_e( 'Want to see all your files?', 'leco-cp' ); ?>
</p>
<!-- /wp:paragraph -->

<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
<div class="wp-block-buttons"><!-- wp:button -->
<div class="wp-block-button"><a class="wp-block-button__link wp-element-button">
	<?php esc_html_e( 'Check it out', 'leco-cp' ); ?>
</a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div>
<!-- /wp:group -->
